Get the message that needs to be signed for IBAN activation
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valox.co/api/v1/ibans/signing-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.valox.co/api/v1/ibans/signing-message \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valox.co/api/v1/ibans/signing-message"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valox.co/api/v1/ibans/signing-message"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valox.co/api/v1/ibans/signing-message")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valox.co/api/v1/ibans/signing-message")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"message": "I hereby declare that I am the address owner."
}
}{
"message": "<string>"
}{
"error": "Internal server error"
}IBAN
Get the message that needs to be signed for IBAN activation
Returns the standard message that users need to sign with their wallet to verify ownership for Monerium IBAN activation.
GET
/
api
/
v1
/
ibans
/
signing-message
Get the message that needs to be signed for IBAN activation
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valox.co/api/v1/ibans/signing-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.valox.co/api/v1/ibans/signing-message \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valox.co/api/v1/ibans/signing-message"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valox.co/api/v1/ibans/signing-message"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valox.co/api/v1/ibans/signing-message")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valox.co/api/v1/ibans/signing-message")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"message": "I hereby declare that I am the address owner."
}
}{
"message": "<string>"
}{
"error": "Internal server error"
}⌘I

